
From: Hirokazu Takata <takata@linux-m32r.org>

The modification of "Changes for arch/m32r/mm/fault.c@1.3" was
prepared for enforce-a-gap-between-heap-and-stack.patch(*) of -mm tree,
but it has not been merged into mainline.
  (*) "heap-stack-gap for 2.6" (Sep. 25, 2004)
       http://www.uwsg.iu.edu/hypermail/linux/kernel/0409.3/0435.html

So, this patch is for withdrawing the previous arch/m32r/mm/fault.c.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m32r/mm/fault.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/m32r/mm/fault.c~m32r-fix-build-error-of arch/m32r/mm/fault.c
--- 25/arch/m32r/mm/fault.c~m32r-fix-build-error-of	2004-11-17 00:14:10.762269512 -0800
+++ 25-akpm/arch/m32r/mm/fault.c	2004-11-17 00:14:10.766268904 -0800
@@ -182,7 +182,7 @@ asmlinkage void do_page_fault(struct pt_
 			goto bad_area;
 	}
 #endif
-	if (expand_stack(vma, address, NULL))
+	if (expand_stack(vma, address))
 		goto bad_area;
 /*
  * Ok, we have a good vm_area for this memory access, so
_
